% Check that opencv is installed before running this code. 

!rm ./mfunctions/*.mexa64 

% mex('-c', 'src/Myriad.cpp');
% mex('-c', 'src/MexOpenCVWrapper.cpp');
% mex('-c', 'src/MyriadHub.cpp');
% mex('-c', '-largeArrayDims', 'src/CauchyPatchExtraction.cpp');

% mex('-largeArrayDims', 'src/MyriadFiltering.cpp');

% mex('-c', '-largeArrayDims', 'src/MyriadFilteringGeneralized.cpp');

% mex('LINKLIBS=$LINKLIBS `pkg-config --cflags --libs opencv`',...
%  'CauchyPatchExtraction.o', 'Myriad.o', 'MyriadHub.o',...
%  'MexOpenCVWrapper.o', '-output', 'mfunctions/CauchyPatchExtraction')
% mex('LINKLIBS=$LINKLIBS `pkg-config --cflags --libs opencv`',...
%  'MyriadFiltering.o',       'Myriad.o', 'MyriadHub.o',...
%  'MexOpenCVWrapper.o', '-output', 'mfunctions/MyriadFiltering')
% mex('LINKLIBS=$LINKLIBS `pkg-config --cflags --libs opencv`',...
%  'MyriadFilteringGeneralized.o',   'Myriad.o', 'MyriadHub.o',...
%  'MexOpenCVWrapper.o', '-output', 'mfunctions/MyriadFilteringGeneralized')

mex  -largeArrayDims src/MyriadFiltering.cpp -output mfunctions/MyriadFiltering
mex  -largeArrayDims src/MyriadFiltering2.cpp -output mfunctions/MyriadFiltering2
mex  -largeArrayDims src/MyriadFiltering2_generalized.cpp -output mfunctions/MyriadFiltering2_generalized

mex  -largeArrayDims src/cauchy_similarity_poids.cpp -output mfunctions/cauchy_similarity_poids
mex  -largeArrayDims src/cauchy_similarity2.cpp -output mfunctions/cauchy_similarity
mex  -largeArrayDims src/SSD_nonlocal2.cpp -output mfunctions/SSD_similarity
mex  -largeArrayDims src/SSD_nonlocal2RGB.cpp -output mfunctions/SSD_similarityRGB
mex  -largeArrayDims src/poisson_similarity.cpp -output mfunctions/poisson_similarity

setenv('LD_LIBRARY_PATH', [getenv('LD_LIBRARY_PATH') ':/usr/local/lib']);

%!rm *.o 

addpath mfunctions
addpath data
