function noisy = addCauchyNoise( X, gamma )
% addCachyNoise( X, gamma )
% Sample of a Cauchy noise centred on X with power parameter gamma. 

initialtype = class(X);
X=double(X);

initrand = gamma*tan(pi * (rand(size(X)) - 0.5)) + X;

%noisy =max(min(X(:)),min(max(X(:)),initrand));
noisy =initrand;

noisy = cast(noisy, initialtype);

end

