%% Non-Local Myriad filtering. 
 
%% Main functions
 
%%
% * <doc_ComputeObjectiveFunction.html Compute Myriad Objective Function>
% * <doc_MyriadFilter.html Myriad Filter>
% * <doc_kCauchyNearestPatches.html Patch Extraction with Cauchy similarity>
% * <doc_k_SSD_NearestPatches.html Patch Extraction with L2 norm>
% * <doc_addCauchyNoise.html Corrupt Image with Cauchy Noise>
% * <doc_localSample.html Extract a local sample>
 
%% Tests
 
%%
% * <doc_test_NLmyriad.html Experiment 1 : Non-local Myriad filtering>
