/*
*	CauchyPatch.h
*
*	Updated on:	2017-06-26
*	   Authors:	Marcel Brusius,
*				Fabien Pierre
*
*/

#pragma once

#ifndef _CRT_SECURE_NO_WARNINGS
#define _CRT_SECURE_NO_WARNINGS
#endif // !_CRT_SECURE_NO_WARNINGS

#ifndef _MYRIADHUB_H_
#define	_MYRIADHUB_H_

#include "Myriad.h"
#include "MexOpenCVWrapper.h"

void CauchyPatchExtraction( const float * Input , float * output , int Height , int Width , int PatchSize , int SearchWindowSize , int NumberReferencePatches , float Gamma );

void MyriadFilterComputation( const float *Input , float *Output , int Height , int Width , int NumberReferencePatches , float Gamma );
void MyriadFilterComputationGeneralized( const float *Input , float *Output , float *OutputGamma , int Height , int Width , int NumberReferencePatches , float Gamma );

#endif // !_MYRIADHUB_H_